﻿using Exam.Infrastructure.Data.Interface;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.ViewResponses.Exam
{
    public class OfflineExamAnalysisViewResponse : IViewResponse
    {
        /// <summary>
        /// 参考人员
        /// </summary>
        [Description("参考人员")]
        public string UserName { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        [Description("部门名称")]
        public string DepartmentName { get; set; }

        /// <summary>
        /// 考试标题
        /// </summary>
        [Description("考试标题")]
        public string ExamName { get; set; }

        /// <summary>
        /// 考试总分
        /// </summary>
        [Description("考试总分")]
        public int TotalScore { get; set; }

        /// <summary>
        /// 合格分数
        /// </summary>
        [Description("合格分数")]
        public int CutoffScore { get; set; }

        /// <summary>
        /// 考试分数
        /// </summary>
        [Description("考试分数")]
        public int Score { get; set; }


        public string Id { get; set ; }
    }
}
