﻿using MiniExcelLibs.Attributes;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Exams.ExamManages
{
    public class OfflineExamAnalysisExcel
    {
        /// <summary>
        /// 参考人员
        /// </summary>
        [ExcelColumnName("参考人员")]
        public string UserName { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        [ExcelColumnName("部门名称")]
        public string DepartmentName { get; set; }

        /// <summary>
        /// 考试标题
        /// </summary>
        [ExcelColumnName("考试标题")]
        public string ExamName { get; set; }

        /// <summary>
        /// 考试总分
        /// </summary>
        [ExcelColumnName("考试总分")]
        public int TotalScore { get; set; }

        /// <summary>
        /// 合格分数
        /// </summary>
        [ExcelColumnName("合格分数")]
        public int CutoffScore { get; set; }

        /// <summary>
        /// 考试分数
        /// </summary>
        [ExcelColumnName("考试分数")]
        public int Score { get; set; }

        /// <summary>
        /// 考试开始时间
        /// </summary>
        [ExcelColumnName("考试开始时间")]
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 考试结束时间
        /// </summary>
        [ExcelColumnName("考试结束时间")]
        public DateTime? EndTime { get; set; }
    }
}
